#include <u.h>
#include <libc.h>
#include <draw.h>
#include "graphics.h"

Point screenRes = {0, 0};
Image *background = nil;
Image *ball = nil;
int r = 20; /* ball radius */
static Point *ballPos = nil;

void initGraphics(Point *pBallPos)
{
	ballPos = pBallPos;
	screenRes = Pt(Dx(screen->r), Dy(screen->r));
	Image *brush = allocimage(display, Rect(0, 0, 1, 1), CMAP8, 1, DRed);
	background = allocimage(display, Rect(0, 0, 1, 1), screen->chan, 1, DBlack);
	ball = allocimage(display, Rect(0, 0, r * 4, r * 4), screen->chan, 0, DBlack);
	fillellipse(ball, Pt(r*2,r*2), r, r, brush, ZP);
	freeimage(brush);
}

void render(void)
{
	draw(
		screen,
		screen->r,
		display->black,
		nil,
		ZP
	);
	draw(
		screen,
		rectaddpt(screen->r, *ballPos),
		ball,
		nil,
		ZP
	);
}

void eresized(int new)
{
	if (new && getwindow(display, Refnone) < 0) {
		sysfatal("can't reattach to window");
	}

	screenRes = Pt(Dx(screen->r), Dy(screen->r));
	render();
}